Package jakarta.security.auth.message.callback

## Class PrivateKeyCallback

- java.lang.Object
- - jakarta.security.auth.message.callback.PrivateKeyCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class PrivateKeyCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback that enables an authentication module to request a certificate chain and private key from the runtime. The information specifying the chain and key may be an alias, a digest, a subject key, or an issuer ID. Other request types may be supported.

### Nested Class Summary

Nested Classes
`static class` `PrivateKeyCallback.AliasRequest`
`static class` `PrivateKeyCallback.DigestRequest`
`static class` `PrivateKeyCallback.IssuerSerialNumRequest`
`static interface` `PrivateKeyCallback.Request`
`static class` `PrivateKeyCallback.SubjectKeyIDRequest`

### Constructor Summary

Constructors
`PrivateKeyCallback​(PrivateKeyCallback.Request request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.security.cert.Certificate[]` `getChain()`
`java.security.PrivateKey` `getKey()`
`PrivateKeyCallback.Request` `getRequest()`
`void` `setKey​(java.security.PrivateKey key, java.security.cert.Certificate[] chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivateKeyCallback

    public PrivateKeyCallback​(PrivateKeyCallback.Request request)

### Method Detail

#### getRequest

    public PrivateKeyCallback.Request getRequest()

#### setKey

    public void setKey​(java.security.PrivateKey key,
                       java.security.cert.Certificate[] chain)

#### getKey

    public java.security.PrivateKey getKey()

#### getChain

    public java.security.cert.Certificate[] getChain()